<?php
/**
 * Customiser section for ourclients
 **/
// Start client section 
$wp_customize->add_section(
    'lz_fitness_ourclients_section',
    array(
        'title' => __( 'Our Clients Section', 'supermarket-ecommerce' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE client SECTION
$wp_customize->add_setting(
    'lz_fitness_ourclients_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_ourclients_section_disable',
        array(
            'settings'      => 'lz_fitness_ourclients_section_disable',
            'section'       => 'lz_fitness_ourclients_section',
            'label'         => __( 'Disable Section', 'supermarket-ecommerce' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'supermarket-ecommerce' ),
                'off' => __( 'No', 'supermarket-ecommerce' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'ourclients', 'lz_fitness_ourclients_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'ourclientssection_padding', 'lz_fitness_ourclients_section', ' Section Padding Setting:');

$wp_customize->add_setting(
    'ourclients_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ourclients_toppadding',
    array(
        'settings'      => 'ourclients_toppadding',
        'section'       => 'lz_fitness_ourclients_section',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'ourclients_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ourclients_bottompadding',
    array(
        'settings'      => 'ourclients_bottompadding',
        'section'       => 'lz_fitness_ourclients_section',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'ourclients_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ourclients_leftpadding',
    array(
        'settings'      => 'ourclients_leftpadding',
        'section'       => 'lz_fitness_ourclients_section',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'ourclients_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ourclients_rightpadding',
    array(
        'settings'      => 'ourclients_rightpadding',
        'section'       => 'lz_fitness_ourclients_section',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);


$wp_customize->add_setting('lz_fitness_ourclients_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_ourclients_npp_heading',
        array(
            'settings'      => 'lz_fitness_ourclients_npp_heading',
            'section'       => 'lz_fitness_ourclients_section',
            'label'         => __( 'Number Of Clients', 'supermarket-ecommerce' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_ourclients_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 5));
$wp_customize->add_control(
    'lz_fitness_ourclients_npp_count',
    array(
        'settings'      => 'lz_fitness_ourclients_npp_count',
        'section'       => 'lz_fitness_ourclients_section',
        'type'          => 'select',
        'label'         => __( 'Number of Clients to show', 'supermarket-ecommerce' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_ourclients_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_ourclients_header'.$i,
            array(
                'settings'      => 'lz_fitness_ourclients_header'.$i,
                'section'       => 'lz_fitness_ourclients_section',
                'label'         => __( 'Our Client', 'supermarket-ecommerce' ).$i
            )
        )
    );

    lzAddImageElement($wp_customize, 'lz_fitness_ourclients_page_icon'.$i, 'lz_fitness_ourclients_section', $label="Recommended Image Size: 150X150px");

}
// End Feature section 

     // Border color
    addColorPalatOption($wp_customize, 'lz_fitness_ourclient_borderColor', 'lz_fitness_ourclients_section', 'Border Color', '#c4c4c4');


         // Border hover color
    addColorPalatOption($wp_customize, 'lz_fitness_ourclient_borderhoverColor', 'lz_fitness_ourclients_section', 'Border hover Color', '#605ca8');